commit:     e37f705c4b986543b85b3e477c02508e0483f3ca
Author:     Hanno Böck <hanno <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 23 15:33:14 2020 +0000
Commit:     Hanno Böck <hanno <AT> gentoo <DOT> org>
CommitDate: Thu Jul 23 15:33:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e37f705c

app-editors/ne: Version bump

Force tinfo support, building without is broken.

Closes: https://bugs.gentoo.org/690410
Signed-off-by: Hanno Böck <hanno <AT> gentoo.org>
Package-Manager: Portage-3.0.0, Repoman-2.3.23

 app-editors/ne/Manifest        |  1 +
 app-editors/ne/ne-3.3.0.ebuild | 48 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-editors/ne/Manifest b/app-editors/ne/Manifest
index e47314c3bf5..ea7378b4b8c 100644
--- a/app-editors/ne/Manifest
+++ b/app-editors/ne/Manifest
@@ -1 +1,2 @@
 DIST ne-3.1.1.tar.gz 1219488 BLAKE2B 
6d778c1b2e9e18154322a6b327cc4a2711619c353eb82073ad00f3e40b3b8e61f7ee7ce6fee3f0e02b38d001dc26365f44b63f70ddd6089f186a52bdf4c69a17
 SHA512 
e572ca2a0cd39a59adaea911c80e083872103d90a586117efcabbc3881cf1a48d0c3d06f20eebcd9254177afafef15fd581778cd251b1b25b64ad68a5f8afc37
+DIST ne-3.3.0.tar.gz 1173159 BLAKE2B 
a4be3fd37a0a79b440290846184bc50551cfb9b73dc50c0376110f3603233879b396f67a87e2f9defe9c0cbc42c963e66bc43ab5396f8ccb27e5b6182c429006
 SHA512 
73a1bbc5a9f62354834288e25b8f4bf2b0d2ff6faf3408108b217305e2c9d8fed768b5a3c3fd21df7b3bf75a3f9c71ea899a8b3f528b560a8e5e66accd442919

diff --git a/app-editors/ne/ne-3.3.0.ebuild b/app-editors/ne/ne-3.3.0.ebuild
new file mode 100644
index 00000000000..f90eeb484b7
--- /dev/null
+++ b/app-editors/ne/ne-3.3.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="the nice editor, easy to use for the beginner and powerful for 
the wizard"
+HOMEPAGE="http://ne.di.unimi.it/";
+SRC_URI="http://ne.di.unimi.it/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND="sys-libs/ncurses:0=[tinfo]"
+
+RDEPEND="
+       ${DEPEND}
+       dev-lang/perl
+"
+
+HTML_DOCS=( doc/html/. )
+
+src_prepare() {
+       default
+       #sed -i -e 's/-O3//' src/makefile || die
+       sed -i -e "s|-lcurses|-ltinfo|g" src/makefile || die
+}
+
+src_compile() {
+       append-cflags -std=c11
+       emake -C src CC="$(tc-getCC)" \
+               NE_GLOBAL_DIR="/usr/share/${PN}" \
+               OPTS="${CFLAGS}" \
+               "${PN}"
+}
+
+src_install() {
+       dobin "src/${PN}"
+
+       insinto "/usr/share/${PN}/syntax"
+       doins syntax/*.jsf
+
+       doman "doc/${PN}.1"
+       dodoc CHANGES README.md NEWS doc/*.{txt,pdf,texinfo} doc/default.*
+}

Reply via email to